import {
  Component,
  OnInit,
  ViewEncapsulation,
  AfterViewInit,
  ViewChild,
  ElementRef
} from '@angular/core';
import {
  FormControl,
  FormsModule,
  ReactiveFormsModule,
  FormGroup,
  FormBuilder,
  Validators,
  NgControl,
  NgForm,
  FormArray
} from '@angular/forms';
import { fuseAnimations } from 'src/@fuse/animations';
import { Observable, of, fromEvent, Subject, BehaviorSubject } from 'rxjs';

@Component({
  selector: 'app-fix-bonus',
  templateUrl: './fix-bonus.component.html',
  styleUrls: ['./fix-bonus.component.scss'],
  encapsulation: ViewEncapsulation.None,
  animations: fuseAnimations
})
export class FixBonusComponent implements OnInit {
  public inputChange$: Subject<string> = new Subject<string>();
  public ClickedRowIndex: number = -1;
  // public ClickedRow: cObject; currentRow: cObject;

  public mtformgroup: FormGroup;
  public mtformarray: FormArray;

  public dataSource;

  @ViewChild('filter', { static: true })
  filter: ElementRef;

  // Private
  private _unsubscribeAll: Subject<any>;

  constructor(private fb: FormBuilder) {}

  ngOnInit() {
    this.mtformarray = this.fb.array([]);
    this.mtformgroup = this.fb.group({ formarray: this.mtformarray });
    this.dataSource.formg = this.mtformgroup;
  }
}
